Orbiq logoTrust Center Documentation
API v1 ReferenceSubprocessors

Create subprocessor metadata

Create a subprocessor entry. Badge uploads are performed separately via `/api/v1/subprocessors/{id}/badge`. Browse request parameters, authentication…

POST
/api/v1/subprocessors

Create a subprocessor entry. Badge uploads are performed separately via /api/v1/subprocessors/{id}/badge.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/subprocessors" \  -H "Authorization: Bearer $ACCESS_TOKEN" \  -H "Content-Type: application/json" \  -d '{    "title": "Global Email Relay",    "location": "United States",    "type": "required",    "description": "Transactional email provider.",    "description_markdown": "- Sends password reset emails\n- No data stored at rest",    "featured": true  }'
{  "success": true,  "data": {    "id": "vendor-789",    "uploadUrls": {      "badge": "/api/v1/subprocessors/vendor-789/badge"    }  }}

How is this guide?